$ErrorActionPreference = 'Stop';
$ToolsDir = Split-Path $MyInvocation.MyCommand.Definition;

$PackageArgs = @{
    PackageName    = 'imageglass'
    FileType       = "msi"
    SoftwareName   = "imageglass"
	File           = Get-Item $(Join-Path $ToolsDir "ImageGlass_Kobe_8.6.6.6_x86.msi")
    File64         = Get-Item $(Join-Path $ToolsDir "ImageGlass_Kobe_8.6.6.6_x64.msi")
    SilentArgs     = "/qn /norestart /quiet"
    ValidExitCodes = @(0, 3010, 1641)
};

Install-ChocolateyPackage @PackageArgs;

$PackageName = $PackageArgs.PackageName;
$InstallLocation = Get-AppInstallLocation $PackageName;
if (!$InstallLocation)  { Write-Warning "Can't find $PackageName install location"; return; };
Write-Host "$PackageName installed to '$InstallLocation'";

Remove-Item $(Get-Item $(Join-Path $ToolsDir "ImageGlass_Kobe_8.6.6.6_x86.msi")) -ErrorAction SilentlyContinue -Force | Out-Null;
Remove-Item $(Get-Item $(Join-Path $ToolsDir "ImageGlass_Kobe_8.6.6.6_x64.msi")) -ErrorAction SilentlyContinue -Force | Out-Null;